Bug 1017603 - hadoop installs scripts in default PATH with .sh extension
hadoop installs scripts in default PATH with .sh extension
Status: NEW
Product: Fedora
Classification: Fedora
Component: hadoop (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 04:44 EDT by Mattias Ellert
Modified: 2017-07-25 14:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:28:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2013-10-10 04:44:13 EDT
Description of problem:

/usr/sbin/hadoop-daemon.sh
/usr/sbin/hadoop-daemons.sh
/usr/sbin/slaves.sh
/usr/sbin/start-all.sh
/usr/sbin/start-balancer.sh
/usr/sbin/start-dfs.sh
/usr/sbin/start-secure-dns.sh
/usr/sbin/stop-all.sh
/usr/sbin/stop-balancer.sh
/usr/sbin/stop-dfs.sh
/usr/sbin/stop-secure-dns.sh
/usr/sbin/distribute-exclude.sh
/usr/sbin/refresh-namenodes.sh
/usr/sbin/mr-jobhistory-daemon.sh
/usr/sbin/start-yarn.sh
/usr/sbin/stop-yarn.sh
/usr/sbin/yarn-daemon.sh
/usr/sbin/yarn-daemons.sh

Scripts installed in the default path (/usr/bin, /usr/sbin) should normally not have implementation specific extensions (.sh, .pl, .py, ...).

Version-Release number of selected component (if applicable):

hadoop-common-0:2.0.5-11.fc21.noarch
hadoop-hdfs-0:2.0.5-11.fc21.noarch
hadoop-mapreduce-0:2.0.5-11.fc21.noarch
hadoop-yarn-0:2.0.5-11.fc21.noarch
Comment 1 Robert Rati 2013-10-10 15:42:22 EDT
These are the file names produced by the build and I don't see much advantage to changing their names.  Any scripts/users used to hadoop will look for these files with .sh.  I don't have a strong opinion here, but have errored on the side of the established ecosystem user rather than conforming no implementation extensions.
Comment 2 Jaroslav Reznik 2015-03-03 10:07:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Christopher Tubbs 2016-06-23 13:34:31 EDT
I'm a bit annoyed by this convention that upstream Hadoop has adopted, but I'd rather keep it in sync with upstream than change it (for now). What's more concerning to me is that some of the scripts are so generically named (start-all.sh, stop-all.sh), it's not obvious what they manage.

Eventually, I'd like to get rid of these scripts, and limit the Fedora packaging to whatever's needed to manage the services entirely with systemctl.
Comment 4 Fedora End Of Life 2016-07-19 06:28:27 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Christopher Tubbs 2016-07-19 14:10:01 EDT
I don't have admin for this package in F22, so I can't change the version, but it still applies to F24.
Comment 6 Fedora End Of Life 2017-07-25 14:35:45 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.